#!/bin/sh
# Will build all perl modules in the CPAN best practices way !


sources="\
Archive-Extract \
Cairo \
CPAN-Changes \
CPANPLUS \
CPANPLUS-Dist-Build \
CPANPLUS-Dist-Slackware \
Devel-Symdump \
Digest-HMAC \
Encode-Locale \
ExtUtils-Depends \
ExtUtils-MakeMaker \
ExtUtils-PkgConfig \
File-Listing \
Glib \
GStreamer \
GStreamer-Interfaces \
Gtk2 \
Gtk2-GladeXML \
Gtk2-TrayIcon \
HTML-Parser \
HTML-Tagset \
HTTP-Cookies \
HTTP-Daemon \
HTTP-Date \
HTTP-Message \
HTTP-Negotiate \
IO-HTML \
libwww \
Log-Message \
Log-Message-Simple \
LWP-MediaTypes \
Module-Build \
Module-Pluggable \
Net-DBus \
Net-DNS \
Net-HTTP \
Object-Accessor \
Package-Constants \
Pango \
Pod-Coverage \
Term-UI \
Test-Pod \
Test-Pod-Coverage \
WWW-RobotRules \
XML-Twig "

export PKGTYPE="txz"
for source in $sources ; do
	cpan2dist --format CPANPLUS::Dist::Slackware --defaults --skiptest --keepsource $source
done

(
cd /tmp
for i in *CPANPLUS.txz ; do 
	mv $i $(echo "$i" | sed -e 's/^\(.*\)_CPANPLUS\(.*\)$/\1jp\2/') 
done
)
